@import "variables/font";
@import "variables/colors";

.filter-content {
  &__head {
    margin-bottom: 1rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    .details {
      padding-right: 2rem;

      &__title {
        font-family: $poppins-medium;
        margin: 0;
      }
      &__description {
        padding: 0;
        margin: 0.5rem 0;
      }
    }
    .filter {
      padding-left: 2rem;
      padding-top: 2rem;
      display: flex;
      flex-direction: column;
      align-items: flex-end;
      ::ng-deep .main-filter {
        min-width: 80%;
      }
    }
  }
  &__body {
    margin-bottom: 2rem;
    width: 100%;
  }
  &__advanced-filters {
    margin-bottom: 2rem;

    .header {
      cursor: pointer;
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 12px 16px;
      background-color: $neutral-30;
      color: $caribbean-green-80;
      max-width: 200px;
      border-radius: 10px;
      &--open {
        border-radius: 10px 10px 0px 0px;
        background-color: $caribbean-green-80;
        color: $neutral;
      }
      &__title {
        font-family: $roboto-bold;
        margin: 0;
        padding: 0;
        font-size: 16px;
      }
      &__icon {
        font-size: 1.5rem;
      }
    }

    .body {
      border: 1px solid $neutral-40;
      padding: 10px;
      border-radius: 0px 5px 5px 5px;
    }
  }
  &__results {
    margin-bottom: 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 16px;
    background-color: $neutral-20;
    border-radius: 10px;
    .total-filtred {
      font-family: $roboto-bold;
      font-size: 20px;
      padding: 0;
      margin: 0;
      display: flex;
      align-items: center;
    }
    .count {
      font-size: 28px;
      color: $caribbean-green-60;
      margin-right: 5px;
    }
  }
}
